com.jscape.filetransfer

## Class FtpsImplicitTransfer

- java.lang.Object
- - com.jscape.filetransfer.FtpsTransfer
  - - com.jscape.filetransfer.FtpsImplicitTransfer

- All Implemented Interfaces:
    FileTransfer, java.lang.AutoCloseable

      public class FtpsImplicitTransfer
      extends FtpsTransfer

  Implements the basic functionality of a FTPS client using implicit SSL.

  Example Usage:

        // create new FtpsTransfer instance
        FileTransfer ftp = new FtpsImplicitTransfer("ftp.myserver.com","anonymous","user@myserver.com");
        ftp.setPort(990);

        try {
        // connect to FTP server
        ftp.connect();
        <p/>
        // print out directory listing
        System.out.println(ftp.getDirListingAsString());
        <p/>
        // disconnect from FTP server
        ftp.disconnect();
        } catch(Exception e) {
        System.out.println(e);
        }

- - ### Field Summary

    - ### Fields inherited from interface com.jscape.filetransfer.FileTransfer

      `ASCII, AUTO, BINARY, CURRENT_DIRECTORY, PARENT_DIRECTORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FtpsImplicitTransfer()` Creates FtpsImplicitTransfer instance.
    `FtpsImplicitTransfer(java.lang.String host, int port, java.lang.String user, java.lang.String password, java.io.File localDirectory, java.util.Set<FileTransferListener> listeners)`
    `FtpsImplicitTransfer(java.lang.String host, java.lang.String user, java.lang.String pwd)` Creates FtpsImplicitTransfer instance.
    `FtpsImplicitTransfer(java.lang.String host, java.lang.String user, java.lang.String pwd, java.io.File localDirectory)` Creates FtpsImplicitTransfer instance.
    `FtpsImplicitTransfer(java.lang.String host, java.lang.String user, java.lang.String pwd, int port)` Creates FtpsImplicitTransfer instance.
    `FtpsImplicitTransfer(java.lang.String host, java.lang.String user, java.lang.String pwd, java.lang.Integer port)` Creates FtpsImplicitTransfer instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FileTransfer` | `copy()` Returns a copy of current transfer instance with same listeners.

    - ### Methods inherited from class com.jscape.filetransfer.FtpsTransfer

      `abortDownloadThread, abortDownloadThreads, abortUploadThread, abortUploadThreads, addFileTransferListener, addFtpsCertificateVerifier, changePassword, checksum, clearCommandChannel, clearProxySettings, close, connect, connect, deleteDir, deleteDir, deleteFile, disconnect, download, download, download, downloadDir, downloadDir, downloadDir, exists, getAutoDetectIpv6, getBlockTransferSize, getDebug, getDebugStream, getDir, getDirListing, getDirListing, getDirListingAsString, getDirListingAsString, getErrorOnSizeCommand, getFilesize, getFileTimestamp, getHostname, getImplementation, getInputStream, getLocalChecksum, getLocalDir, getLocalDirListing, getMode, getNameListing, getNameListing, getOutputStream, getPassive, getPassword, getPerformMLSDListing, getPort, getRecursiveDirectoryFileCount, getRecursiveDirectorySize, getRemoteFileChecksum, getRemoteFileList, getShutdownCCC, getTcpNoDelay, getTimeout, getUseEPRT, getUseEPSV, getUsername, getWireEncoding, interrupt, interrupted, isChecksumVerificationRequired, isConnected, isDirectory, isFeatureSupported, issueCommand, login, makeDir, makeDirRecursive, makeLocalDir, mdelete, mdownload, mdownload, mupload, mupload, removeFileTransferListener, renameFile, reset, resumeDownload, resumeDownload, resumeDownload, resumeUpload, resumeUpload, resumeUpload, resumeUpload, sameChecksum, setAscii, setAuto, setAutoDetectIpv6, setBinary, setBlockTransferSize, setChecksumVerificationRequired, setClientCertificates, setClientCertificates, setClientCertificates, setCompression, setConnectBeforeCommand, setDebug, setDebugStream, setDir, setDirUp, setErrorOnSizeCommand, setFileModificationTime, setFileTimestamp, setHostname, setLocalDir, setNATAddress, setPassive, setPassword, setPerformMLSDListing, setPort, setPreserveFileDownloadTimestamp, setPreserveFileUploadTimestamp, setProxyAuthentication, setProxyHost, setProxyType, setServerCertificates, setServerCertificates, setServerCertificates, setShutdownCCC, setTcpNoDelay, setTimeout, setTimeZone, setUseEPRT, setUseEPSV, setUseExtendedDirectoryListing, setUsername, setWireEncoding, upload, upload, upload, upload, upload, upload, upload, upload, upload, upload, upload, upload, uploadDir, uploadDir, uploadDir, uploadDir, uploadUnique, uploadUnique, uploadUnique`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FtpsImplicitTransfer

          public FtpsImplicitTransfer(java.lang.String host,
                                      int port,
                                      java.lang.String user,
                                      java.lang.String password,
                                      java.io.File localDirectory,
                                      java.util.Set<FileTransferListener> listeners)

    - #### FtpsImplicitTransfer

          public FtpsImplicitTransfer(java.lang.String host,
                                      java.lang.String user,
                                      java.lang.String pwd,
                                      java.io.File localDirectory)

      Creates FtpsImplicitTransfer instance.
      Parameters:
        `host` - the hostname of FTP server
        `user` - the username of FTP user
        `pwd` - the password of FTP user
        `localDirectory` - the local directory to be used for transferring files

    - #### FtpsImplicitTransfer

          public FtpsImplicitTransfer(java.lang.String host,
                                      java.lang.String user,
                                      java.lang.String pwd,
                                      int port)

      Creates FtpsImplicitTransfer instance.
      Parameters:
        `host` - the hostname of FTP server
        `user` - the username of FTP user
        `pwd` - the password of FTP user
        `port` - the port of FTP server

    - #### FtpsImplicitTransfer

          public FtpsImplicitTransfer(java.lang.String host,
                                      java.lang.String user,
                                      java.lang.String pwd)

      Creates FtpsImplicitTransfer instance.
      Parameters:
        `host` - the hostname of FTP server
        `user` - the username of FTP user
        `pwd` - the password of FTP user

    - #### FtpsImplicitTransfer

          public FtpsImplicitTransfer(java.lang.String host,
                                      java.lang.String user,
                                      java.lang.String pwd,
                                      java.lang.Integer port)

      Creates FtpsImplicitTransfer instance.
      Parameters:
        `host` - the hostname
        `user` - the username
        `pwd` - the password
        `port` - the port

    - #### FtpsImplicitTransfer

          public FtpsImplicitTransfer()

      Creates FtpsImplicitTransfer instance.

  - ### Method Detail

    - #### copy

          public FileTransfer copy()

      Description copied from class: `FtpsTransfer`
      Returns a copy of current transfer instance with same listeners.
      Specified by:
        `copy` in interface `FileTransfer`
      Overrides:
        `copy` in class `FtpsTransfer`
      Returns:
        a copy of current transfer instance

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved